Open CASCADE Technology: Approx_HArray1OfGTrsf2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Approx_HArray1OfGTrsf2d Class Reference

`#include <Approx_HArray1OfGTrsf2d.hxx>`

Inheritance diagram for Approx_HArray1OfGTrsf2d:
[legend]

## Public Member Functions
| Approx_HArray1OfGTrsf2d (const Standard_Integer Low, const Standard_Integer Up)
| Approx_HArray1OfGTrsf2d (const Standard_Integer Low, const Standard_Integer Up, const gp_GTrsf2d &V)
void | Init (const gp_GTrsf2d &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const gp_GTrsf2d &Value)
const gp_GTrsf2d & | Value (const Standard_Integer Index) const
gp_GTrsf2d & | ChangeValue (const Standard_Integer Index)
const Approx_Array1OfGTrsf2d & | Array1 () const
Approx_Array1OfGTrsf2d & | ChangeArray1 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

Approx_HArray1OfGTrsf2d::Approx_HArray1OfGTrsf2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

Approx_HArray1OfGTrsf2d::Approx_HArray1OfGTrsf2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const gp_GTrsf2d & | V
| ) |  |

## Member Function Documentation

const Approx_Array1OfGTrsf2d& Approx_HArray1OfGTrsf2d::Array1 | ( |  | ) | const

Approx_Array1OfGTrsf2d& Approx_HArray1OfGTrsf2d::ChangeArray1 | ( |  | ) |

gp_GTrsf2d& Approx_HArray1OfGTrsf2d::ChangeValue | ( | const Standard_Integer | Index | ) |

void Approx_HArray1OfGTrsf2d::Init | ( | const gp_GTrsf2d & | V | ) |

Standard_Integer Approx_HArray1OfGTrsf2d::Length | ( |  | ) | const

Standard_Integer Approx_HArray1OfGTrsf2d::Lower | ( |  | ) | const

void Approx_HArray1OfGTrsf2d::SetValue | ( | const Standard_Integer | Index,
|  | const gp_GTrsf2d & | Value
| ) |  |

Standard_Integer Approx_HArray1OfGTrsf2d::Upper | ( |  | ) | const

const gp_GTrsf2d& Approx_HArray1OfGTrsf2d::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Approx_HArray1OfGTrsf2d.hxx